Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitore.vo.fornitore
Class FornitoreRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitore.vo.fornitore.FornitoreRequest

    public class FornitoreRequest

extends java.lang.Object

Field Summary
`private java.lang.String` | `codISTATComune` Codice ISTAT del comune della sede.
`private java.lang.String` | `codISTATProvincia` Codice ISTAT della provincia della sede.
`private java.lang.String` | `codISTATRegione` Codice ISTAT della regione della sede.
`private java.lang.String` | `partitaIVA` Partita IVA.
`private java.lang.String` | `ragioneSociale` Ragione sociale.
`private java.lang.String` | `siglaStatoUE` Sigla dello Stato membro dell’UE.

Constructor Summary
`FornitoreRequest()`

Method Summary
`java.lang.String` | `getCodISTATComune()`
`java.lang.String` | `getCodISTATProvincia()`
`java.lang.String` | `getCodISTATRegione()`
`java.lang.String` | `getPartitaIVA()`
`java.lang.String` | `getRagioneSociale()`
`java.lang.String` | `getSiglaStatoUE()`
`void` | `setCodISTATComune(java.lang.String codISTATComune)`
`void` | `setCodISTATProvincia(java.lang.String codISTATProvincia)`
`void` | `setCodISTATRegione(java.lang.String codISTATRegione)`
`void` | `setPartitaIVA(java.lang.String partitaIVA)`
`void` | `setRagioneSociale(java.lang.String ragioneSociale)`
`void` | `setSiglaStatoUE(java.lang.String siglaStatoUE)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codISTATComune

    @Facets(pattern="[0-9]*")
    private java.lang.String codISTATComune

  Codice ISTAT del comune della sede.

### codISTATProvincia

    @Facets(pattern="[0-9]*")
    private java.lang.String codISTATProvincia

  Codice ISTAT della provincia della sede.

### codISTATRegione

    @Facets(pattern="[0-9]*")
    private java.lang.String codISTATRegione

  Codice ISTAT della regione della sede.

### partitaIVA

    @Facets(pattern="[0-9]*",
            length=13L)
    private java.lang.String partitaIVA

  Partita IVA.

### ragioneSociale

    private java.lang.String ragioneSociale

  Ragione sociale.

### siglaStatoUE

    @Facets(enumeration={"AT","BE","BG","CY","DK","EE","FI","FR","DE","GB","EL","IE","IT","LV","LT","LU","MT","NL","PL","PT","CZ","RO","SK","SI","ES","SE","HU"})
    private java.lang.String siglaStatoUE

  Sigla dello Stato membro dell’UE.

Constructor Detail

### FornitoreRequest

    public FornitoreRequest()

Method Detail

### getCodISTATComune

    public java.lang.String getCodISTATComune()

### getCodISTATProvincia

    public java.lang.String getCodISTATProvincia()

### getCodISTATRegione

    public java.lang.String getCodISTATRegione()

### getPartitaIVA

    public java.lang.String getPartitaIVA()

### getRagioneSociale

    public java.lang.String getRagioneSociale()

### getSiglaStatoUE

    public java.lang.String getSiglaStatoUE()

### setCodISTATComune

    public void setCodISTATComune(java.lang.String codISTATComune)

### setCodISTATProvincia

    public void setCodISTATProvincia(java.lang.String codISTATProvincia)

### setCodISTATRegione

    public void setCodISTATRegione(java.lang.String codISTATRegione)

### setPartitaIVA

    public void setPartitaIVA(java.lang.String partitaIVA)

### setRagioneSociale

    public void setRagioneSociale(java.lang.String ragioneSociale)

### setSiglaStatoUE

    public void setSiglaStatoUE(java.lang.String siglaStatoUE)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD